#include <bits/stdc++.h>

using namespace std;

int main()
{   string s;
    cin >> s;
    long long a = s.length(), br1, br2;
    if(a%2==0){
        for(int i = 0; i<a/2; i++){
            if(s[i]=='b')
                br1 = (a/2) - i;
        }
        for(int i = a/2; i<a; i++){
             if(s[i]=='b')
                br2 = (i+1) - a/2;
        }
        cout << abs(br1 - br2) + 1<<endl;
    }
    else{
        for(int i = 0; i<(a/2); i++){
            if(s[i]=='b')
                br1 = (a/2)-i;
        }
        for(int i = (a/2)+1 ; i<a; i++){
            if(s[i]=='b')
                br2 = (i+1) - ((a/2)+1);
        }
        cout << abs(br1-br2)+1<<endl;
    }
    cout << br1 << endl << br2;
    return 0;
}